# class Byebug::PostMortemSetting

Setting to enable/disable post_mortem mode, i.e., a debugger prompt after program termination by unhandled exception.

### Public Class Methods

new() click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 11
    def initialize
      Byebug.post_mortem = DEFAULT
    end

### Public Instance Methods

banner() click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 15
    def banner
      "Enable/disable post-mortem mode"
    end

value() click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 23
    def value
      Byebug.post_mortem?
    end

value=(val) click to toggle source

    # File lib/byebug/settings/post_mortem.rb, line 19
    def value=(val)
      Byebug.post_mortem = val
    end